From: Jeff King <peff@peff.net>
To: Junio C Hamano <gitster@pobox.com>
Cc: git@vger.kernel.org
Subject: Re: [PATCH 01/11] test-lib: catch misspelt 'test_expect_successo'
Date: Thu, 26 Mar 2026 13:29:20 -0400 [thread overview]
Message-ID: <20260326172920.GA2447148@coredump.intra.peff.net> (raw)
In-Reply-To: <xmqq8qbesm1r.fsf@gitster.g>
On Thu, Mar 26, 2026 at 07:27:44AM -0700, Junio C Hamano wrote:
> > test_expect_success !MINGW 'a constipated git dies with SIGPIPE' '
> > - OUT=$( ((large_git; echo $? 1>&3) | :) 3>&1 ) &&
> > + OUT=$( ((large_git || echo $? 1>&3) | :) 3>&1 ) &&
> > test_match_signal 13 "$OUT"
> > '
> >
> >
> > That neglects to echo $? when large_git surprisingly succeeds, but that
> > would mean $OUT is empty, which would cause the test to (correctly)
> > fail. I kind of hate it, though.
>
> Would
>
> OUT=$( ((large_git && echo 0 || echo $? 1>&3) | :) 3>&1 )
>
> do a bit better?
Yeah, that is better (though in practice the same for our purposes in
this particular test).
> We can keep fixing things one by one as we find these little
> glitches and gochas, of it may be a whack-a-mole exercise that
> eventually will turn out to be futile. I dunno.
Yeah, after getting the tests passing locally I pushed to CI and saw a
ton of failures. I think one is just:
diff --git a/t/t1301-shared-repo.sh b/t/t1301-shared-repo.sh
index 630a47af21..7f920d7b9e 100755
--- a/t/t1301-shared-repo.sh
+++ b/t/t1301-shared-repo.sh
@@ -12,7 +12,7 @@ TEST_CREATE_REPO_NO_TEMPLATE=1
. ./test-lib.sh
# Remove a default ACL from the test dir if possible.
-setfacl -k . 2>/dev/null
+setfacl -k . 2>/dev/null || true
# User must have read permissions to the repo -> failure on --shared=0400
test_expect_success 'shared = 0400 (faulty permission u-w)' '
and another seems to involve test_done barfing when no tests have been
run (e.g., if we hit a skip_all case). I didn't investigate further.
-Peff
next prev parent reply other threads:[~2026-03-26 17:30 UTC|newest]
Thread overview: 28+ messages / expand[flat|nested] mbox.gz Atom feed top
2026-03-25 6:21 [PATCH 00/11] detect misspelt test_expect_success and friends Junio C Hamano
2026-03-25 6:21 ` [PATCH 01/11] test-lib: catch misspelt 'test_expect_successo' Junio C Hamano
2026-03-26 4:08 ` Jeff King
2026-03-26 14:27 ` Junio C Hamano
2026-03-26 17:29 ` Jeff King [this message]
2026-03-27 7:53 ` Patrick Steinhardt
2026-03-27 18:11 ` Junio C Hamano
2026-03-31 11:43 ` Patrick Steinhardt
2026-03-25 6:21 ` [PATCH 02/11] t0008: make test "set -e" clean Junio C Hamano
2026-03-25 6:21 ` [PATCH 03/11] t6002: " Junio C Hamano
2026-03-25 7:15 ` Patrick Steinhardt
2026-03-25 15:45 ` Junio C Hamano
2026-03-25 6:21 ` [PATCH 04/11] t4032: " Junio C Hamano
2026-03-25 7:15 ` Patrick Steinhardt
2026-03-25 6:21 ` [PATCH 05/11] t7450: " Junio C Hamano
2026-03-25 7:15 ` Patrick Steinhardt
2026-03-25 6:21 ` [PATCH 06/11] tests: make svn " Junio C Hamano
2026-03-25 7:15 ` Patrick Steinhardt
2026-03-25 6:21 ` [PATCH 07/11] t7508: make " Junio C Hamano
2026-03-25 6:21 ` [PATCH 08/11] t9200: " Junio C Hamano
2026-03-25 7:16 ` Patrick Steinhardt
2026-03-25 6:21 ` [PATCH 09/11] t940?: " Junio C Hamano
2026-03-25 6:21 ` [PATCH 10/11] t5570: " Junio C Hamano
2026-03-25 7:16 ` Patrick Steinhardt
2026-03-25 15:50 ` Junio C Hamano
2026-03-25 6:21 ` [PATCH 11/11] t9902: " Junio C Hamano
2026-03-25 7:08 ` [PATCH 00/11] detect misspelt test_expect_success and friends Patrick Steinhardt
2026-03-25 13:47 ` Junio C Hamano
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
List information: http://vger.kernel.org/majordomo-info.html
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20260326172920.GA2447148@coredump.intra.peff.net \
--to=peff@peff.net \
--cc=git@vger.kernel.org \
--cc=gitster@pobox.com \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
Code repositories for project(s) associated with this public inbox
https://80x24.org/mirrors/git.git
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).